Page MenuHomePhabricator

Integrate Spaces into shared infrastructure
Closed, ResolvedPublic

Description

Umbrella task for secondary integrations:

Stronger use cases:

  • Herald Conditions: You should be able to write Herald conditions that examine spaces for applications which support them ("If Task is in space X, ....").
  • Application Email: Mail like bugs@... should be able to go into a Space automatically.
  • Batch Editor: Let tasks be switched between Spaces using the batch editor.

Weaker use cases:

  • Policies: You should probably be able to write a "Users with access to Space..." custom policy. Technically easy, but not clearly useful, and maybe confusing.
  • Mail Commands: Something like !space <space> to put a task in a space probably makes sense. You'd have to use the monogram right now. Not clear if this is really useful. Maybe for automated flows?
  • Herald Actions: I'd like to wait for a use case, since this feels pretty messy (it could cause users to immediately lose access to tasks they created in a confusing way).

Event Timeline

epriestley claimed this task.
epriestley raised the priority of this task from to Normal.
epriestley updated the task description. (Show Details)
epriestley added subscribers: btrahan, aklapper, devurandom and 6 others.
epriestley updated the task description. (Show Details)Jun 11 2015, 2:44 PM
eadler moved this task from Backlog to Nice To Have on the FreeBSD board.Jun 14 2015, 4:39 AM
epriestley closed this task as Resolved.Jun 21 2015, 2:03 PM

The clearly-desirable integrations now work. I want to wait for use cases for the others; they likely aren't technically hard, but are potentially bad/confusing/ambiguous.

urzds added a subscriber: urzds.Jul 12 2017, 11:12 AM